﻿--[[
Author: Mantrid
https://fs.mantrid.net/

Copyright: All right reserved
]]

local modDir = g_currentModDirectory
local modName = g_currentModName

local function initMod(modName)
	source(modDir .. "scripts/BaleSwapper.lua")

	Bale.saveToXMLFile = Utils.prependedFunction(Bale.saveToXMLFile, BaleSwapper.before_saveToXMLFile)
	Bale.saveToXMLFile = Utils.appendedFunction(Bale.saveToXMLFile, BaleSwapper.after_saveToXMLFile)
	BaleManager.getBaleXMLFilename = Utils.overwrittenFunction(BaleManager.getBaleXMLFilename, BaleSwapper.insteadOf_getBaleXMLFilename)
	Bale.loadFromConfigXML = Utils.overwrittenFunction(Bale.loadFromConfigXML, BaleSwapper.before_loadFromConfigXML)

	Mission00.load = Utils.prependedFunction(Mission00.load, function(mission)
		g_baleSwapper = BaleSwapper:new(modDir, modName)
		if g_globalMods ~= nil and g_globalMods.baleSwapper == nil then
			g_globalMods.baleSwapper = g_baleSwapper
		end
	end)
	
end

initMod(g_currentModName)
